#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_work_method.py
    author:rabin
"""
from __load__ import *

class Farm_work_method(Model):
	__table__ = 'farm_work_method'
	__comment__ = '农事方法表'
	id = Fields(type='uuid', primaryKey=True, comment='分类ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(255)', comment='劳作内容')
	category_id = Fields(type='uuid', comment='劳作分类ID')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')